Debian Bug report logs - #485358
posixtestsuite: FTBFS when converted to new source format 3.0 (quilt): require -p0 for some patches

version graph

Package: posixtestsuite; Maintainer for posixtestsuite is Guillem Jover <guillem@debian.org>; Source for posixtestsuite is src:posixtestsuite.

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Sun, 8 Jun 2008 22:33:57 UTC

Severity: wishlist

Found in version posixtestsuite/1.5.2-2

Fixed in version posixtestsuite/1.5.2-3

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#485358; Package posixtestsuite. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: maintonly@bugs.debian.org
Subject: posixtestsuite: FTBFS when converted to new source format 3.0 (quilt): require -p0 for some patches
Date: Mon, 09 Jun 2008 00:31:41 +0200
Package: posixtestsuite
Version: 1.5.2-2
Severity: wishlist
Usertags: 3.0-quilt-by-default

To prepare a possible switch to the new source package format "3.0
(quilt)" [1], I converted all source packages and tried to rebuild them.
Unfortunately, posixtestsuite failed, you can try yourself with those
commands (and dpkg-dev >= 1.14.19 [2]) :

$ apt-get source posixtestsuite
$ sed -i -e '/^Source:/ aFormat: 3.0 (quilt)' posixtestsuite-1.5.2/debian/control
$ dpkg-source -b posixtestsuite-1.5.2
$ dpkg-source -x posixtestsuite_1.5.2-2.dsc
$ cd posixtestsuite-1.5.2 && debuild -us -uc

In this process, if the .diff.gz contains changes to upstream files,
dpkg-source will have created a corresponding patch in
debian/patches/debian-changes-1.5.2-2 and will have registered that
patch in a quilt series (debian/patches/series, it is created if needed).
All the patches listed in the "series" file are applied directly during
the extraction (dpkg-source -x). quilt itself is used if available (and
will thus lead to the creation of the .pc directory), otherwise
dpkg-source applies the patches by itself. For more information about the
new source package format see the manual page dpkg-source(1).

In the case of posixtestsuite, it already uses quilt but some of the patches
require the '-p0' option of patch to be properly applied and this
option has been hardcoded in the series file. The new source package
format doesn't support this quilt feature and requires patches
to be applicable with the '-p1' option.

You can use the following command to easily update all the patches
that use the '-p0' option:
awk '{ if ($2 == "-p0") print $1 }' debian/patches/series | while read f; do perl -pi -e 's|^--- (?:\./)?|--- a/|; s|^\+\+\+ (?:\./)?|+++ b/|;' debian/patches/$f ; done

Not that you can replace "a" by "posixtestsuite-1.5.2.orig" and
"b" by "posixtestsuite-1.5.2" if you prefer.

Then don't forget to strip the "-p0" options from debian/patches/series.

As a side note, you must also pay attention to the following points in your
quilt usage to guarantee compatibility with the new source package
format:
- the patches must be in debian/patches/ together with the "series" file
  (you can use QUILT_PATCHES=debian/patches if needed)
- you should not override QUILT_PC to change the location of quilt's
  internal directory (".pc" by default)
- the patches should not reference absolute filenames (in +++/--- lines)
- your clean target must work even if the patches are already applied
- your build target must work with patches applied even if the clean
  target is supposed to unapply them (because dpkg-source -b might
  have applied them back)

Cheers,

[1] http://lists.debian.org/debian-devel-announce/2008/04/msg00004.html
[2] the upcoming dpkg-dev 1.14.20 is more tolerant with patches, you can
grab it here if you want to try with that version:
http://people.debian.org/~hertzog/packages/dpkg-dev_1.14.20_all.deb
-- 
Raphael Hertzog





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#485358; Package posixtestsuite. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 485358@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: control@bugs.debian.org
Cc: 485358@bugs.debian.org
Subject: setting package to posixtestsuite, tagging 485358
Date: Sat, 21 Jun 2008 09:50:11 +0300
# Automatically generated email from bts, devscripts version 2.10.30
# via tagpending 
#
# posixtestsuite (1.5.2-3) UNRELEASED; urgency=low
#
#  * Refresh patches with -pab. (Closes: #485358) 

package posixtestsuite
tags 485358 + pending





Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 21 Jun 2008 06:54:19 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 485358-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 485358-close@bugs.debian.org
Subject: Bug#485358: fixed in posixtestsuite 1.5.2-3
Date: Sun, 22 Jun 2008 04:32:03 +0000
Source: posixtestsuite
Source-Version: 1.5.2-3

We believe that the bug you reported is fixed in the latest version of
posixtestsuite, which is due to be installed in the Debian FTP archive:

posixtestsuite_1.5.2-3.diff.gz
  to pool/main/p/posixtestsuite/posixtestsuite_1.5.2-3.diff.gz
posixtestsuite_1.5.2-3.dsc
  to pool/main/p/posixtestsuite/posixtestsuite_1.5.2-3.dsc
posixtestsuite_1.5.2-3_all.deb
  to pool/main/p/posixtestsuite/posixtestsuite_1.5.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 485358@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated posixtestsuite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Jun 2008 06:23:45 +0300
Source: posixtestsuite
Binary: posixtestsuite
Architecture: source all
Version: 1.5.2-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 posixtestsuite - POSIX conformance test suite (dummy package)
Closes: 485358
Changes: 
 posixtestsuite (1.5.2-3) unstable; urgency=low
 .
   * Add a README.source.
   * Now using Standards-Version 3.8.0.
   * Refresh patches with -pab. (Closes: #485358)
   * Refer to GPL-2 from common-licenses instead of just GPL.
Checksums-Sha1: 
 c29726166d9272fb30d196d39b7d038de50922d9 1334 posixtestsuite_1.5.2-3.dsc
 97cb89001e81f23f274db836ba4740c614b92f74 3759 posixtestsuite_1.5.2-3.diff.gz
 4c0eb8ddaa635cc0bea4e958f244c81ade1d7ade 3214 posixtestsuite_1.5.2-3_all.deb
Checksums-Sha256: 
 b79e3e5c2add7e3391a118e72910de62a9242892e5ead2091bca40e7495ddfe1 1334 posixtestsuite_1.5.2-3.dsc
 94dce27e5ff56dc8c9c70d2700d60b8616f89a18c649eb9fa90d930998ceb6e1 3759 posixtestsuite_1.5.2-3.diff.gz
 83a30c5d220cf825e7498bb42b926bbd3f1418947f517ac17fd4923e1a1d15ee 3214 posixtestsuite_1.5.2-3_all.deb
Files: 
 e79fb946498d3de35aec4045b5a10af8 1334 devel optional posixtestsuite_1.5.2-3.dsc
 953e1445cff9510ae18ef034a9c0d424 3759 devel optional posixtestsuite_1.5.2-3.diff.gz
 18df16595313b8bc3c74ef808024af3e 3214 devel optional posixtestsuite_1.5.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhd0m0ACgkQuW9ciZ2SjJuwDgCg0V7yFRdixDUVOK/tnXO2MPvv
Gr8AnAxsRw/Pz2QLcqqvLdON56ST9ZF9
=zMi+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Jul 2008 07:34:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:14:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.